/** @file
 * @brief fstream which creates files with mkstemp.
 *
 * @author Gerd v. Egidy
 *
 * @copyright &copy; Copyright 2010 by Intra2net AG
 * @license commercial
 *
 * info@intra2net.com
 *
 */

#include <string>
#include <fstream>
#include <sstream>
#include <iostream>

#include "tmpfstream.hpp"
#include "tmpfstream_impl.hpp"

using namespace std;

namespace I2n
{

template< typename Device, typename Tr, typename Alloc >
const std::string tmpfcopystreamTempl<Device, Tr, Alloc>
    ::default_template_suffix=".tmp.XXXXXX";

// explicitly instantiate the most used versions.
// means they get compiled into the lib and you don't need tmpfstream_impl.hpp
// if you want to use anything else, include tmpfstream_impl.hpp.
template class tmpfstreamTempl<bio::file_descriptor_sink>;
template class tmpfstreamTempl<bio::file_descriptor>;

template class tmpfcopystreamTempl<bio::file_descriptor_sink>;
template class tmpfcopystreamTempl<bio::file_descriptor>;

}
